/* 1708, Wed 15 Apr 98

   TRAC_UPT.CPP:  s_uptime() for pc_trace.c

   Copyright (C) 1997-1999 by Nevil Brownlee,
   ITSS Technology Development,  The University of Auckland */

#include "..\types\types.h"      /* Bit8, Bit16, Bit32 .. */
#include "..\intel\timestmp.h"   /* class PentiumClock */

extern "C"
double s_uptime(void)  /* In seconds */
{
   PentiumClock now;
   now.set();
   return now.get_seconds();
   }
